# $Revision: 1.8.2.6 $, $Date: 2003/09/10 17:40:55 $
# TODO:
#  - Fix why segfaults on multiIP machines while run from user.
#    From root seems to work.
#  - separate libs into subpackage

Summary:	KPhone - SIP user agent
Summary(pl):	KPhone - Klient SIP
Name:		kphone
Version:	3.12
Release:	1
License:	GPL v2
Group:		Applications/Communications
Source0:	http://www.wirlab.net/kphone/%{name}-%{version}.tgz
# Source0-md5:	5b22b8697d0bba6b86d7073fb9b3e856
URL:		http://www.wirlab.net/kphone/index.html
BuildRequires:	kdelibs-devel >= 3.1.1
BuildRequires:	openssl-devel >= 0.9.6j
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix /usr/X11R6

%description
KPhone is a SIP (Session Initiation Protocol) user agent for Linux,
with which you can initiate VoIP (Voice over IP) connections over the
Internet. The new 2.0 version also supports Presence and Instant
Messaging.

%description -l pl
KPhone jest klientem SIP (Session Initiation Protocol) dla Linuksa,
ktry umoliwia inicjowanie pocze VoIP( Gos po IP) poprzez sie
internet. Od wersji 2.0 dziaa z Presence i Instant Messaging.

%package devel
Summary:	KPhone - SIP user agent
Summary(pl):	KPhone - Klient SIP
Group:		Developement

%description devel
Header files for KPhone.

%description -l pl devel
Pliki nagwkowe dla kphone.

%prep 
%setup -q 

%build
kde_appsdir="%{_applnkdir}"; export kde_appsdir
kde_icondir="%{_pixmapsdir}"; export kde_icondir

%configure2_13 
# crashes build
#	--enable-final \
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_applnkdir}/Network/Communications

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv $RPM_BUILD_ROOT%{_applnkdir}/Internet/kphone.desktop $RPM_BUILD_ROOT%{_applnkdir}/Network/Communications/

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kphone
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%{_libdir}/*.la
%{_applnkdir}/Network/Communications/*.desktop
%{_datadir}/apps/kphone/icons/hicolor/32x32/actions/*.png
%{_pixmapsdir}/*/*/apps/*.png

%files devel
%defattr(644,root,root,755)
%{_includedir}/dissipate2
%{_includedir}/kphonegsm
%{_includedir}/ilbc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: kphone.spec,v $
Revision 1.8.2.6  2003/09/10 17:40:55  matkor
- Autoupgraded to 3.12. Builds. STBR for Ra.

Revision 1.8.2.5  2003/07/19 12:13:26  blues
- cosmetics

Revision 1.8.2.4  2003/07/19 09:26:38  matkor
- Forgotten md5 added.

Revision 1.8.2.3  2003/07/19 09:24:33  matkor
- Version 3.11. Release 1. STBR for Ra.

Revision 1.8.2.2  2003/07/11 12:01:36  eothane
- some pld.org.pl->pld-linux.org cosmetics

Revision 1.8.2.1  2003/03/20 14:36:07  matkor
- Version 3.1. Prefix back to /usr/X11R6.

Revision 1.8  2003/03/20 00:25:40  matkor
- Builds. NFY, needs at least files fixes.

Revision 1.7  2003/02/21 15:28:57  qboosh
- fixed applnkdir and pixmapsdir, added missing dirs

Revision 1.6  2003/02/19 13:34:27  migo
- spelling fixes

Revision 1.5  2003/02/13 14:03:34  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.4  2003/01/18 22:52:01  juandon
- removed two lines with define

Revision 1.3  2003/01/07 23:55:13  matkor
- Version 2.11

Revision 1.2  2002/12/15 18:05:04  blues
- release 1 - works fine. Added devel package, used sonfigure macro,
  removed all not needed sorcery.

Revision 1.1  2002/12/14 19:44:53  matkor
- SIP client for KDE. Unfortunetly segfaults on start ;)
